/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 


package servidor.datos;

import java.sql.*;

import servidor.utiles.*;

public class TablaOperadores extends Tabla_Base {
   public TablaOperadores(Connection conexion) {
	  super(conexion, "Operadores");
   }
   
   public int getId() throws SQLException {
	  return rs.getInt(1);
   }
   
   public String getCodigo() throws SQLException {
	  return rs.getString(2);
   }
   
   public String getNombre() throws SQLException {
	  return rs.getString(3);
   }
   
   public String getCapacidades() throws SQLException {
	  return rs.getString(4);
   }
   public boolean getActivo() throws SQLException {
		  return rs.getBoolean(5);
	   }
   public void nuevoOperador(String codigo, String nombre,String activo,String centro) throws SQLException{
		  SQL("INSERT INTO operadores (codigo, nombre,activo,capacidad, centro) VALUES (''{0}'',''{1}'',{2},''{3}'',''{4}'')", new String[] {codigo, nombre,activo,"",centro});
	   }
   public String buscarNombrePorCodigo(String cod) {
	  cod = cod.toUpperCase();
	  try {
		 Statement stmt = conexion.createStatement();
		 rs = stmt.executeQuery("SELECT * FROM operadores WHERE codigo='" + cod + "'");
		 if(rs.next()) {
			return rs.getString(3);
		 }
	  } catch(Exception exc) {
		  Global.log.warning("ERROR en 'buscarNombrePorCodigo' en TablaOperadores buscando " +  cod +":\n" + exc.getMessage());
	  }
	  return null;
   }
   
   public String buscarCapacidad(String cod) {
	  cod = cod.toUpperCase();
	  try {
		 Statement stmt = conexion.createStatement();
		 ResultSet rs = stmt.executeQuery("SELECT * FROM operadores WHERE codigo='" + cod + "'");
		 if(rs.next()) {
			return rs.getString(4);
		 }
	  } catch(Exception exc) {
		  Global.log.warning("ERROR en 'buscarCapacidad' en TablaOperadores buscando " + cod + ":\n" + exc.getMessage());
	  }
	  return null;
   }
   

   

   

}
